{% extends "base.html" %}
{% load static from staticfiles %}
{% load url from future %}
{% load tz %}
{% load i18n %}

{% block title %}
    {{ block.super }} View my subscriptions
{% endblock %}

{% block content %}
    {{ block.super }}


    <ul class="messages">
        {% if message %}
            <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
        {% endif %}
    </ul>
    {% if messages %}
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
        </ul>
    {% endif %}

        Dear {{ user.first_name }} {{ user.last_name }}
        <h1>Your calendars </h1>

        Your default calendar is <a href="#default_subscription">{{ my_default_subscription.description }}</a>
        sent to: <a href="mailto:{{ my_default_subscription.email }}">{{ my_default_subscription.email }}</a>

        {% for sub, dict in subs.items %}
            ==========================================================================================================
            <div>
                This message is sent by "Agenda des Mathématiques" to {{ sub.email }}.
            </div>
            {% if 'announces' in dict.keys and dict.announces %}
                <div>
                    Remind the following announces:
                    <ul>
                        {% for item  in dict.announces %}
                            <li>{{ item }}</li>
                        {% endfor %}
                    </ul>
                </div>
            {% endif %}
            {% if 'seminars' in dict.keys and dict.seminars %}
                <div>
                    You or somebody subscribed to:
                    <ul>
                        {% for cal, events in dict.seminars.items %}
                            <li>{{ cal }}</li>
                            <ul>{% for event in events %}<li>{{ event }}</li>{% endfor %}</ul>
                        {% endfor %}
                    </ul>
                </div>
            {% endif %}
            {% if not dict.seminars and not dict.announces %}
            <div>During the week  from {{ date_now }} until {{ date_to }} days, there is no event of interest for you.</div>

            {% endif %}
            <div>
                If you think it is an error, or want to unsubscribe to the list, or change the subscription, please
                contact
                {{ sub.created_by.email }}
                If {{ sub.created_by.email }} is your identity, please connect to <a href="/">Agenda des
                Mathématiques</a>

            </div>
            ==========================================================================================================
            <br>
        {% endfor %}



{% endblock %}


{% block css %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'css/messages.css' %}"/>
{% endblock %}

{% block controleur_js %}
    {{ block.super }}
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>
    <script src="{% static 'js/mycalendar.js' %}"></script>
    <script src="{% static 'js/subscription.js' %}"></script>
{% endblock %}

